Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как обновить чертёж из Лиспа?

Как обновить чертёж из Лиспа?

Ответ
Поиск в этой теме
Непрочитано 26.08.2005, 17:02 #1
Как обновить чертёж из Лиспа?
Хотабыч
 
Регистрация: 02.06.2005
Сообщений: 15

helo
Есть такая проблема
Рисую из VBA дугу
Код:
[Выделить все]
ThisDrawing.SendCommand "_.ARC _C "...
нажатием на кпопку на форме.
Я знаю точно что она прорисовывается,
но на чертеже не появляется
Как сделать так что бы появлялась
Что - нить типа
Код:
[Выделить все]
ThisDrawing.Application.Update
Просмотров: 1567
 
Непрочитано 26.08.2005, 17:18
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,753


Странно, а почему тема "на ЛИСПе"? Ладно, детали. Попробуй такое:
Код:
[Выделить все]
ThisDrawing.Regen acActiveViewport
---
Добавлено:
или
Код:
[Выделить все]
ThisDrawing.SendCommand "_Regen"
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 30.08.2005, 13:26
#3
Хотабыч


 
Регистрация: 02.06.2005
Сообщений: 15


Код:
[Выделить все]
ThisDrawing.SendCommand "_Regen"
вот ето работает
только не совсем так
Вообщем если повесить на кнопку вот ето
Код:
[Выделить все]
private sub upd_click
form.hide
ThisDrawing.SendCommand "_Regen"
form.show
end sub
то всё получается
но при появлении форма оказывается
в центре viewporta
можно ли оставить ее в том месте в котором была
нажата кнопка?
или можно как-нить вообще без скрытия формы?
Хотабыч вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как обновить чертёж из Лиспа?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск